GradleCommand (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.cli.gradle.commands

## [Groovy] Class GradleCommand

- org.grails.cli.gradle.commands.GradleCommand

- All Implemented Interfaces and Traits:
    ProjectCommand, jline.console.completer.Completer, ProjectContextAware

      @groovy.transform.CompileStatic
      class GradleCommand

  A command for invoking Gradle commands

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `GRADLE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandDescription` | `description`
    `java.lang.String` | `name`
    `ProjectContext` | `projectContext`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)`
    `boolean` | `handle(ExecutionContext context)`
    `void` | `setProjectContext(ProjectContext projectContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String GRADLE

  - ### Property Detail

    - #### final CommandDescription description

    - #### final java.lang.String name

    - #### ProjectContext projectContext

  - ### Method Detail

    - #### @java.lang.Override int complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)

    - #### @java.lang.Override boolean handle(ExecutionContext context)

    - #### void setProjectContext(ProjectContext projectContext)